package nsdb;

public interface NucSeqOperations
	extends seqdb.BioSeqOperations
{
	public java.lang.String getSeq();
	public int getCheckSum();
	public java.lang.String getTopology();
	public java.lang.String getMoleculeType();
	public nsdb.NucFeature[] getNucFeatures() throws type.NoResult;
	public nsdb.Location getLocalLocation(nsdb.NucFeature nuc_feature) throws type.InvalidRelation;
	public type.DbXref[] getOrganisms() throws type.NoResult;
	public nsdb.NucFeature[] getNucFeaturesByKey(java.lang.String key) throws type.NoResult,type.InvalidArgumentValue;
	public java.lang.String getSubSeq(int start, int end) throws type.IndexOutOfRange;
	public java.lang.String getSubSeqByFeature(nsdb.NucFeature feature) throws type.InvalidRelation,nsdb.InexactLocation;
	public nsdb.Location getReferenceLocation(java.lang.String reference_id) throws type.InvalidRelation,type.NoResult;
}
